import request from '@/utils/request'

/**
 * 获取推荐列表
 * @param {*} params 
 * @returns 
 */
export const getIndexRecommender = (params) => request('/index/recommender', { params })

/**
 * 获取分类列表
 * @returns 
 */
export const getIndexType = (params) => request('/tdType', { params })

/**
 * 获取商铺列表
 * @returns 
 */
 export const getIndexShop = (params) => request('/taShop', { params })

/**
 * 商铺详情
 * @param {*} id 
 * @returns 
 */
 export const getShopDetail = (id) => request(`/taShop/${id}`)
 /**
 * 获取商铺套餐列表
 * @returns 
 */
  export const getIndexShopPackage = (params) => request('/taShopPackage ', { params })

  /**
 * 套餐详情
 * @param {*} id 
 * @returns 
 */
 export const getShopPackageDetail = (id) => request(`/taShopPackage/${id}`)

/**
 * 获取景点列表
 * @returns 
 */
 export const getIndexTourist  = (params) => request('/taTourist ', { params })

/**
 * 景点详情
 * @param {*} id 
 * @returns 
 */
 export const getTouristDetail = (id) => request(`/taTourist/${id}`)

/**
 * 点赞
 * @param {*} id 
 * @returns 
 */
 export const saveLike = (data) => request(`/taLike `,{ method: 'post', data })

 /**
 * 取消点赞
 * @param {*} id 
 * @returns 
 */
  export const deldteLike = (id) => request(`/taLike /${id}`,{ method: 'delete' })

//缺少收藏接口
//缺少套餐订单生成

/**
 * 获取更多指引列表
 * @returns 
 */
 export const getExtendContent  = (params) => request('/taExtendContent  ', { params })


/**
 * 获取搜索列表
 * @returns 
 */
 export const getIndexSearch  = (params) => request('/taSearch', { params })